# Generated by go2rpm
%bcond_without check

# https://github.com/mschoch/smat
%global goipath         github.com/mschoch/smat
Version:                0.2.0

%gometa

%global common_description %{expand:
The concept is simple, describe valid uses of your library as states and
actions. States describe which actions are possible, and with what probability
they should occur. Actions mutate the context and transition to another state.

By doing this, two things are possible:
 - Use go-fuzz to find/test interesting sequences of operations on your library.
 - Automate longevity testing of your application by performing long sequences
   of valid operations.

Both of these can also incorporate validation logic (not just failure detection
by building validation into the state machine).}

%global golicenses      LICENSE
%global godocs          examples README.md

Name:           %{goname}
Release:        5%{?dist}
Summary:        State Machine Assisted Testing

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/boltdb/bolt)

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 23:50:32 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.2.0-1
- Upate to 0.2.0

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu May 23 18:41:22 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.2.20190306git90eadee
- Update to new macros

* Sun Mar 03 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.1.20190306git90eadee
- First package for Fedora
